@import 'variables';

:host {
  display: flex;
  flex-direction: row;
  justify-content: left;
  align-items: center;
}

.icon-wrapper {
  width: 28px;
  height: 28px;
  border: 1px solid $gray-medium;
  border-radius: 50%;
  color: $gray-medium;
  font-size: 19px;
  padding-left: 3px;
  line-height: 26px;
  margin: 0 4px;

  cursor: pointer;
  &:hover {
    color: $blue-secondary;
    border-color: $blue-secondary;
  }

  &.delete-button {
    &:hover {
      color: $red-dark;
      border: 1px solid $red-dark;
    }
  }
}

::ng-deep {
  .fa-balance-scale-left {
    font-size: 0.85em;
  }

  .fa-file-excel {
    margin-left: 3px;
    margin-top: 3px;
  }
}
